MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros
Traits.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
`#include "util/StringPointer.hxx"`
`#include "util/StringAPI.hxx"`
`#include <string>`
`#include <assert.h>`
Include dependency graph for Traits.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | PathTraitsFS
| This class describes the nature of a native filesystem path. More...
struct | PathTraitsUTF8
| This class describes the nature of a MPD internal filesystem path. More...

## Macros
#define | PATH_LITERAL(s) (s)

## Macro Definition Documentation

#define PATH_LITERAL | ( |  | s | ) | (s)

Definition at line 40 of file Traits.hxx.